Bug 1384340 - On an SSL enabled overcloud the Neutron api returns http URL
Summary: On an SSL enabled overcloud the Neutron api returns http URL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-neutron
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: async
: 10.0 (Newton)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1384334
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 07:24 UTC by Marius Cornea
Modified: 2018-11-21 16:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384334
Environment:
Last Closed: 2016-11-29 11:54:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 400591 None None None 2016-11-28 16:28:19 UTC

Description Marius Cornea 2016-10-13 07:24:13 UTC
+++ This bug was initially created as a clone of Bug #1384334 +++

Description of problem:
On an SSL enabled overcloud the Neutron api returns http URL

openstack catalog show neutron
+-----------+------------------------------------------------------+
| Field     | Value                                                |
+-----------+------------------------------------------------------+
| endpoints | regionOne                                            |
|           |   publicURL: https://[2001:db8:ca2:4::10]:13696      |
|           |   internalURL: http://[fd00:fd00:fd00:2000::14]:9696 |
|           |   adminURL: http://[fd00:fd00:fd00:2000::14]:9696    |
|           |                                                      |
| name      | neutron                                              |
| type      | network                                              |
+-----------+------------------------------------------------------+

curl -s -H "X-Auth-Token: $OS_TOKEN" https://172.16.18.25:13042  | python -m json.tool

{
    "versions": [
        {
            "id": "v2.0",
            "links": [
                {
                    "href": "http://[2001:db8:ca2:4::10]:13696/v2.0",
                    "rel": "self"
                }
            ],
            "status": "CURRENT"
        }
    ]
}


Version-Release number of selected component (if applicable):
openstack-neutron-9.0.0-0.20160929051647.71f2d2b.el7ost.noarch

Comment 1 Marius Cornea 2016-11-29 11:54:56 UTC
Verified on:
openstack-tripleo-heat-templates-5.1.0-6.el7ost.noarch
puppet-tripleo-5.4.0-3.el7ost.noarch


Note You need to log in before you can comment on or make changes to this bug.